#include<bits/stdc++.h>

using namespace std;

int n,m;
int gde[100];
int tren;
int res=1000000000;
deque<int> pom;
int kako[100];
int pom1;

void provera()
{
    for(int i=0;i<m;i++)
        kako[i]=0;
    for(int i=0;i<n;i++)
    {
        pom1=pom.front();
        pom.pop_front();
        pom.push_back(pom1);
        if(pom1>0)
        {
            for(int i=0;i<pom1;i++)
                kako[i]++;
        }
        else
        {
            for(int i=m-1;i>m+pom1-1;i--)
                kako[i]++;
        }
    }
    tren=0;
    for(int i=0;i<m;i++)
        tren+=kako[i]*(n-kako[i]);
}

void rekurzija(int x)
{
    if(x==n)
        {
           provera();
           res=min(res,tren);
           return;
        }

    pom.push_back(gde[x]);
    rekurzija(x+1);
    pom.pop_back();
    pom.push_back(gde[x]-m);
    rekurzija(x+1);
    pom.pop_back();
}

int main()
{
    cin >> n >> m;
    for(int i=0;i<n;i++)
        cin >> gde[i];
    rekurzija(0);
    cout << res << endl;
}